package com.goafanti.common.dao;

import com.goafanti.common.model.TOrderExamine;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface TOrderExamineMapper {
    int deleteByPrimaryKey(Integer id);

    int insert(TOrderExamine record);

    int insertSelective(TOrderExamine record);

    TOrderExamine selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(TOrderExamine record);

    int updateByPrimaryKey(TOrderExamine record);

    List<TOrderExamine> selectByOrderNo(@Param("orderNo")String orderNo,@Param("type")Integer type);
    List<TOrderExamine> selectByTid(Integer tid);

    void updateStatusByOrderNo(@Param("orderNo")String orderNo,@Param("aid") String aid, @Param("status")Integer status);

    void insertBatch(@Param("list") List<TOrderExamine> list);

    int selectByOrderNoAndAid(@Param("orderNo")String orderNo,@Param("aid") String aid);


    void deleteByOrderNo(String orderNo);

    List<TOrderExamine> selectExamineBytidAndAid(@Param("list")List<Integer> ids,@Param("aid") String aid);

    void deleteByTid(Integer tid);

    void deleteExamineFinance(@Param("depId") String depId, @Param("aid") String aid);
}
